Bug 133568 - tar takes 3x as long
tar takes 3x as long
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-24 16:31 EDT by Mike Kinney
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 15:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kinney 2004-09-24 16:31:33 EDT
Description of problem:
So, with older kernel, an 88gb tar takes 4h22min whereas the newer
kernel takes 13hr40min.
Red Hat Enterprise Linux ES (2.4.21-20.ELsmp) (newer & slow)
Red Hat Enterprise Linux ES (2.4.21-15.0.4.ELsmp) (older & okay)

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux ES (2.4.21-20.ELsmp) (newer & slow)
Red Hat Enterprise Linux ES (2.4.21-15.0.4.ELsmp) (older & okay)

How reproducible:
time tar cvf /tmp/tmp.tar /u

Steps to Reproduce:
1. boot latest kernel, run test
2. boot 2nd oldest kernel, run test
3.
  
Actual results:


Expected results:


Additional info:
At first, I thought it was related to a USB drive issue, but I did the
above test from/to the same SCSI drives.
Comment 2 Ernie Petrides 2004-09-26 00:31:18 EDT
A fix for this problem was was committed to the RHEL3 U4 patch
pool Thursday evening (in kernel version 2.4.21-20.11.EL).  The
fix is essentially the same as in comment #6 of bug 132155.
Comment 3 Mike Kinney 2004-09-27 10:02:28 EDT
I installed " 2.4.21-20.8.pagecache.ELsmp #1 SMP" kernel and it only
took 4  hours and 24 minutes (4h24min) to backup 90gb. So, I'd say
that you've got a good patch. (at least it solves my problem)

What's the timeframe for general release?

Thanks!
Comment 4 Larry Woodman 2004-09-27 10:18:36 EDT
This patch will be in the RHEL3-U4 update, avaialable on about
12/1/04.  We can send you early beta releases at anytime.

Larry
Comment 5 John Flanagan 2004-12-20 15:56:42 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.